Index: resources/views/layouts/app.blade.php
===================================================================
--- resources/views/layouts/app.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/layouts/app.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,396 @@
+<!doctype html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1">
+    <meta http-equiv="X-UA-Compatible" content="ie=edge">
+    <title>@yield('title')</title>
+
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
+    <!-- Favicon -->
+    <link rel="shortcut icon" href="{{ url('assets/media/images/favicon.png') }}"/>
+
+    <!-- Plugin styles -->
+    <link rel="stylesheet" href="{{ url('vendors/bundle.css') }}" type="text/css">
+
+    <!-- App styles -->
+    <link rel="stylesheet" href="{{ url('assets/css/app.min.css') }}" type="text/css">
+</head>
+<body @if (trim($__env->yieldContent('bodyClass'))) class="@yield('bodyClass')" @endif>
+
+<!-- begin::preloader-->
+<div class="preloader">
+    <div class="preloader-icon"></div>
+</div>
+<!-- end::preloader -->
+
+<!-- BEGIN: Sidebar Group -->
+<div class="sidebar-group">
+
+    <!-- BEGIN: User Menu -->
+    <div class="sidebar" id="user-menu">
+        <div class="py-4 text-center bg-dark">
+            <h5 class="d-flex align-items-center justify-content-center">{{auth()->user()->getFullName()}}</h5>
+            <h6 class="d-flex align-items-center justify-content-center">{{auth()->user()->role->name}}</h6>
+        </div>
+        <div class="card mb-0 card-body shadow-none">
+            <div class="mb-4">
+                <div class="list-group list-group-flush">
+                    <a href="{{route("dashboard.settings.index")}}" class="list-group-item p-l-r-0">Settings</a>
+                    <a href="javascript:void(0)" onclick="
+								event.preventDefault();
+								document.getElementById('logout-form').submit();
+							" class="list-group-item p-l-r-0 text-danger">Sign Out</a>
+                    <form id="logout-form" action="{{ route("auth.logout") }}" method="post">
+                        @csrf
+                    </form>
+                </div>
+            </div>
+            <div class="mb-4">
+                <h6 class="d-flex justify-content-between">
+                    Added documents
+                    <span class="float-right">68</span>
+                </h6>
+                <div class="progress" style="height:5px;">
+                    <div class="progress-bar bg-secondary" role="progressbar" style="width: 68%;"
+                         aria-valuenow="68"
+                         aria-valuemin="0" aria-valuemax="100"></div>
+                </div>
+            </div>
+            <div class="mb-4">
+                <h6 class="d-flex justify-content-between">
+                    Used space
+                    <span>%25</span>
+                </h6>
+                <div class="progress" style="height: 5px;">
+                    <div class="progress-bar bg-info" role="progressbar" style="width: 40%;" aria-valuenow="40"
+                         aria-valuemin="0" aria-valuemax="100"></div>
+                </div>
+            </div>
+            <div class="mb-4">
+                <h6>Email</h6>
+                <p class="text-muted mb-0">{{ auth()->user()->email }}</p>
+            </div>
+            <div class="mb-4">
+                <h6>Phone</h6>
+                <p class="text-muted mb-0">{{ auth()->user()->mobile_number }}</p>
+            </div>
+        </div>
+    </div>
+    <!-- END: User Menu -->
+
+    <!-- BEGIN: Settings -->
+    <div class="sidebar" id="settings">
+        <div class="card">
+            <div class="card-body">
+                <h6 class="card-title">Settings</h6>
+                <ul class="list-group list-group-flush">
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch1" checked>
+                            <label class="custom-control-label" for="customSwitch1">Allow notifications.</label>
+                        </div>
+                    </li>
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch2">
+                            <label class="custom-control-label" for="customSwitch2">Hide user requests</label>
+                        </div>
+                    </li>
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch3" checked>
+                            <label class="custom-control-label" for="customSwitch3">Speed up demands</label>
+                        </div>
+                    </li>
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch4" checked>
+                            <label class="custom-control-label" for="customSwitch4">Hide menus</label>
+                        </div>
+                    </li>
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch5">
+                            <label class="custom-control-label" for="customSwitch5">Remember next visits</label>
+                        </div>
+                    </li>
+                    <li class="list-group-item pl-0 pr-0">
+                        <div class="custom-control custom-switch">
+                            <input type="checkbox" class="custom-control-input" id="customSwitch6">
+                            <label class="custom-control-label" for="customSwitch6">Enable report
+                                generation.</label>
+                        </div>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </div>
+    <!-- END: Settings -->
+
+</div>
+<!-- END: Sidebar Group -->
+
+<!-- begin::main -->
+<div class="layout-wrapper">
+
+    <!-- begin::header -->
+    <div class="header d-print-none">
+
+        <div class="header-left">
+            <div class="navigation-toggler">
+                <a href="#" data-action="navigation-toggler">
+                    <i data-feather="menu"></i>
+                </a>
+            </div>
+            <div class="header-logo">
+                <a href="{{ url('dashboard') }}">
+                    <img class="logo" src="{{ url('assets/media/images/logo-small.png') }}" alt="logo">
+                </a>
+            </div>
+        </div>
+
+        <div class="header-body">
+            <div class="header-body-left">
+                <div class="page-title">
+                    <h4>@yield('pageTitle')</h4>
+                </div>
+            </div>
+            <div class="header-body-right">
+                <ul class="navbar-nav">
+
+                    <!-- begin::header fullscreen -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="Fullscreen" data-toggle="fullscreen">
+                            <i class="maximize" data-feather="maximize"></i>
+                            <i class="minimize" data-feather="minimize"></i>
+                        </a>
+                    </li>
+                    <!-- end::header fullscreen -->
+
+                    <!-- begin::header search -->
+                    <li class="nav-item">
+                        <a href="#" class="nav-link" title="Search" data-toggle="dropdown">
+                            <i data-feather="search"></i>
+                        </a>
+                        <div class="dropdown-menu p-2 dropdown-menu-right">
+                            <form>
+                                <div class="input-group">
+                                    <input type="text" class="form-control" placeholder="Search">
+                                    <div class="input-group-prepend">
+                                        <button class="btn" type="button">
+                                            <i data-feather="search"></i>
+                                        </button>
+                                    </div>
+                                </div>
+                            </form>
+                        </div>
+                    </li>
+                    <!-- end::header search -->
+
+                    <!-- begin::header notification dropdown -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link nav-link-notify" title="Notifications" data-toggle="dropdown">
+                            <i data-feather="bell"></i>
+                        </a>
+                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
+                                <h5 class="mb-0">Notifications</h5>
+                                <small class="opacity-7">1 unread notifications</small>
+                            </div>
+                            <div>
+                                <ul class="list-group list-group-flush">
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span
+                                                    class="avatar-title bg-success-bright text-success rounded-circle">
+                                                    <i class="ti-user"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    New customer registered
+                                                    <i title="Mark as read" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">20 min ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li class="text-divider small pb-2 pl-3 pt-3">
+                                        <span>Old notifications</span>
+                                    </li>
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span
+                                                    class="avatar-title bg-warning-bright text-warning rounded-circle">
+                                                    <i class="ti-package"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    New Order Recieved
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">45 sec ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span class="avatar-title bg-danger-bright text-danger rounded-circle">
+                                                    <i class="ti-server"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Server Limit Reached!
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">55 sec ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span class="avatar-title bg-info-bright text-info rounded-circle">
+                                                    <i class="ti-layers"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex align-items-center justify-content-between">
+                                                    Apps are ready for update
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">Yesterday</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                </ul>
+                            </div>
+                            <div class="p-2 text-right border-top">
+                                <ul class="list-inline small">
+                                    <li class="list-inline-item mb-0">
+                                        <a href="#">Mark All Read</a>
+                                    </li>
+                                </ul>
+                            </div>
+                        </div>
+                    </li>
+                    <!-- end::header notification dropdown -->
+
+                    <!-- begin::user menu -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="User menu" data-sidebar-target="#user-menu">
+                            <span class="mr-2 d-sm-inline d-none">{{auth()->user()->getFullName()}}</span>
+                        </a>
+                        </li>
+                    <!-- end::user menu -->
+
+                </ul>
+
+                <!-- begin::mobile header toggler -->
+                <ul class="navbar-nav d-flex align-items-center">
+                    <li class="nav-item header-toggler">
+                        <a href="#" class="nav-link">
+                            <i data-feather="arrow-down"></i>
+                        </a>
+                    </li>
+                </ul>
+                <!-- end::mobile header toggler -->
+            </div>
+        </div>
+
+    </div>
+    <!-- end::header -->
+
+    <div class="content-wrapper">
+
+        <!-- begin::navigation -->
+        <div class="navigation">
+            <div class="navigation-menu-tab">
+                <ul>
+                    <li>
+                        <a href="{{ route("dashboard.index") }}" class="nav-link {{ request()->is('dashboard') ? 'active' : '' }}" data-toggle="tooltip"
+                           data-placement="right" title="Pages">
+                            <i data-feather="copy"></i>
+                        </a>
+                    </li>
+                    @if(auth()->user()->hasPermission("access_all_users"))
+                    <li>
+                        <a href="{{ route("dashboard.users.index") }}" class="nav-link {{ request()->is(['dashboard/users', 'dashboard/users/*']) ? 'active' : '' }}" data-toggle="tooltip"
+                           data-placement="right" title="Users">
+                            <i data-feather="users"></i>
+                        </a>
+                    </li>
+                    @endif
+                    <li>
+                        <a href="#" data-toggle="tooltip"
+                           data-placement="right" title="Files"
+                           data-nav-target="#components">
+                            <i data-feather="layers"></i>
+                        </a>
+                    </li>
+                    @if(auth()->user()->hasPermission("access_all_departments"))
+                    <li>
+                        <a href="{{route("dashboard.departments.index")}}" data-toggle="tooltip"
+                           data-placement="right" title="Departments">
+                            <i data-feather="layers"></i>
+                        </a>
+                    </li>
+                    @endif
+                </ul>
+            </div>
+        </div>
+        <!-- end::navigation -->
+
+        <div class="content-body">
+
+            <div class="content">
+
+                @yield('content')
+
+            </div>
+
+            <!-- begin::footer -->
+            <footer class="content-footer">
+                <div>© {{ date('Y') }}<a href="{{route("dashboard.index")}}" target="_blank"> SaveSpace</a></div>
+                <div>
+
+                </div>
+            </footer>
+            <!-- end::footer -->
+
+        </div>
+
+    </div>
+
+</div>
+<!-- end::main -->
+
+<!-- Plugin scripts -->
+<script src="{{ url('vendors/bundle.js') }}"></script>
+
+<!-- App scripts -->
+<script src="{{ url('assets/js/app.js') }}"></script>
+<script src="{{url('assets/js/Toast.js')}}"></script>
+@include("layouts.alert")
+</body>
+</html>
